Subject: Re: [PATCH v3 1/6] run-command: add pipe_output_fn to run_processes_parallel_opts

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Oct 2022 22:46:17 -0700

Calvin Wan <[email-masked]> writes:

> Add pipe_output_fn as an optionally set function in
> run_process_parallel_opts. If set, output from each child process is
> first separately stored in 'out' and then piped to the callback
> function when the child process finishes to allow for separate parsing.

In my review of one of the previous rounds, I asked which part of
this functionality fits the name "pipe", and I do not think I got a
satisfactory answer.  And after re-reading the patch in this round,
with the in-header comments, it still is not clear to me.

It looks more like sending the duplicate of the normal output to a
side channel, somewhat like the "tee" utility, but I am not sure if
that is the intended way to be used.